org.codehaus.groovy.grails.exceptions

## Interfaces

- CodeSnippetPrinter
- SourceCodeAware
- StackTraceFilterer
- StackTracePrinter

## Classes

- DefaultErrorsPrinter
- DefaultStackTraceFilterer
- DefaultStackTracePrinter

## Exceptions

- CompilationFailedException
- DataSourceRequiredPropertyMissingException
- GrailsConfigurationException
- GrailsDataSourceException
- GrailsDomainException
- GrailsException
- GrailsRuntimeException
- InvalidPropertyException
- MoreThanOneActiveDataSourceException
- NewInstanceCreationException
- RequiredPropertyMissingException